// Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019.
// Built in San Francisco.

// This software is distributed under a commercial license for personal,
// educational, corporate or any other use.
// The software as a whole or any parts of it is prohibited for distribution or
// use without obtaining a license from 3D Control Systems, Inc.

// All software licenses are subject to the 3DPrinterOS terms of use
// (available at https://www.3dprinteros.com/terms-and-conditions/),
// and privacy policy (available at https://www.3dprinteros.com/privacy-policy/)

import QtQuick 2.7
import AppControls 1.0

Item {
    readonly property string cloudSwitchTarget: coreModel.cloudURL.split('.')[0] === "cloud"
                                                ? "acorn" : "cloud"
    Item {
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: footer.top
        }

        Row {
            spacing: 30
            anchors.centerIn: parent

            TextButton {
                width: 160
                height: 160
                text: qsTr("Switch to %1 and reboot").arg(cloudSwitchTarget)
                onClicked: {
                    coreModel.switchCloud()
                }
            }

            TextButton {
                width: 160
                height: 160
                text: coreModel.sshState ? qsTr("Disable SSH") : qsTr("Enable SSH")
                onClicked: {
                    coreModel.toggleSSH()
                }
            }

            TextButton {
                width: 160
                height: 160
                text: coreModel.virtualPrinterState ? qsTr("Disable virtual printer") : qsTr("Enable virtual printer")
                onClicked: {
                    coreModel.toggleVirtualPrinter()
                }
            }

            TextButton {
                width: 160
                height: 160
                text: qsTr("Upload logs")
                onClicked: {
                    coreModel.uploadLogs()
                }
            }
        }
    }

    Footer {
        id: footer
        nextBtnVisible: false
        anchors {
            bottom: parent.bottom
            right: parent.right
            left: parent.left
        }
        onBackClicked: {
            rootItem.back()
        }
    }
}
